SLES 11SP1 to SLES11SP2 Upgrade Errors “Valid metadata not found at specified URLs”

20 Jul

While upgrading one of our final SLES 11 SP1 systems I received the following errors when refreshing the repositories:

Retrieving repository ‘SLES11-SP3-Updates’ metadata [error]
Repository ‘SLES11-SP3-Updates’ is invalid.
[|] Valid metadata not found at specified URL(s)
Please check if the URIs defined for this repository are pointing to a valid repository.
Warning: Disabling repository ‘SLES11-SP3-Updates’ because of the above error.

/var/log/zypper.log didn’t provide additional details but a check on the SUSE KB unearthed KB7013434.

After upgrading libgpg-error, libgpg-error-32-bit and suse-build-key- from our internal repository server all functions worked as expected.

ben.kevan

I am ben kevan.. Well yeah. .that's about it.

Leave a Reply

Your email address will not be published. Required fields are marked *